## regionset 0.2

=== Makefile ===
# Makefile for "regionset" utility
# -- preliminary makefile -- 
# there will be a config/automake solution.
# this one works for now, more or less
#
# cleanups by Mirko Dlle <cooper@linvdr.org>
#

CC = gcc -Wall
MAKE = make

all: regionset
.PHONY : all

regionset: regionset.c dvd_udf.h dvd_udf.c
	$(CC) -o regionset regionset.c dvd_udf.c

.PHONY : clean
clean:
	rm -f regionset

=== debian/changelog ===
regionset (0.2-2) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Apr 2022 14:28:33 -0400

regionset (0.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #830970)
  * debian/control: Set maintainer to Debian QA Group.
  * debian/control:
    + Apply "wrap-and-sort -abst".
    + Use https homepage.
    + Fix Vcs-* fields.
  * debian/source/format: Convert to "3.0 (quilt)". (Closes: #1007283)
  * debian/: Bump debhelper compat to v13.
  * Convert packaging system to dh sequencer. (Closes: #921999)
  * debian/rules:
    + Use debian buildflags.
    + Include upstream changelog under debian/ dir.
  * debian/patches: Refresh patches.
  * debian/patches: Add patch to use autotools buildsystem.
  * debian/copyright: Rewrite in machine-readable format.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Apr 2022 13:58:04 -0400

regionset (0.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use debhelper compat 9. (Closes: #817651)

 -- James Cowgill <jcowgill@debian.org>  Wed, 13 Jul 2016 13:01:37 +0100

regionset (0.1-3) unstable; urgency=low

  * kfreebsd.patch: patch from Cyril Brulebois to port regionset on
    kFreeBSD (closes: #415151).
  * Standards-version is 3.7.2.

 -- Josselin Mouette <joss@debian.org>  Sun, 18 Mar 2007 21:22:21 +0100

regionset (0.1-2) unstable; urgency=low

  * wording.patch: improve the wording of error messages
    (closes: #325084). Thanks to Edwin Taylor for the idea.
  * control: Standards-version is 3.6.2.
  * copyright: Update the FSF address.
  * regionset.8: use the groff escape sequences for the name.

 -- Josselin Mouette <joss@debian.org>  Sat,  3 Sep 2005 19:14:31 +0200

regionset (0.1-1) unstable; urgency=low

  * Initial release (closes: #149651, #226173).

 -- Josselin Mouette <joss@debian.org>  Sun,  4 Jan 2004 21:34:31 +0100

=== debian/control ===
Source: regionset
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://linvdr.org/projects/regionset/
Vcs-Git: https://salsa.debian.org/debian/regionset.git
Vcs-Browser: https://salsa.debian.org/debian/regionset

Package: regionset
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: view and modify the region code of DVD drives
 Regionset is a small utility which displays and sets
 the region/zone setting of a DVD drive, allowing it to decrypt
 the DVD's sold in this geographical zone. Hardware vendors
 often limit the number of such modifications, but it is
 necessary to set it at least once with a brand new drive.

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream
